﻿.ap {
    flex: none;
    box-sizing: border-box;
    background-color: #fff;
    border: 1px solid #d2d5dc;
    border-radius: 50%;
    display: inline-block;
    position: relative;
    cursor: pointer;
}

    .ap .apc {
        width: 6px;
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        margin: auto;
    }

    .ap .aph {
        width: 6px;
        height: 6px;
        background-color: #4374AD;
        display: inline-block;
        border-radius: 50%;
        position: absolute;
        left: 0;
        right: 0;
        top: 4px;
        margin: auto;
        cursor: pointer;
    }

.cs {
    height: 17px;
    position: absolute;
    width: 11px;
    cursor: pointer;
    background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABYAAAARCAQAAABzuJQIAAAABGdBTUEAALGPC/xhBQAAACBjSFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAAmJLR0QA/4ePzL8AAAB7SURBVCjP3c7BDQMhDETRP4gyUlb6SEphe9w+JgdArIMPm2uGizV6MpbpERgBzGb0tuZcLvTbDSoHrMUMQmFrY/IaaOeKB7yE+1yTz43irZNXbXcCFosuXqFt9g0cyZICT7LkrU+b62vGeVv4IX+Phc+tfABZK3xj5cgHC29ECUeufxkAAAAldEVYdGRhdGU6Y3JlYXRlADIwMTctMDUtMzFUMTg6NDE6MzIrMDI6MDD31tLGAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDE3LTA1LTMxVDE4OjQxOjMyKzAyOjAwhotqegAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAAASUVORK5CYII=) right center;
}

    .cs div {
        height: 7px;
        left: 2px;
        width: 7px;
        position: absolute;
        top: 8px;
    }

.active {
    background-position: left center;
}

.cp div {
    box-sizing: border-box;
    cursor: pointer;
    display: inline-block;
    height: 16px;
    width: 16px;
}

    .cp div:hover {
        border: 1px solid #fff;
    }

.gp {
    display: flex;
    flex-direction: column;
    align-items: center;
}

    .gp .gp-flat {
        margin: 0 auto;
        padding: 10px 0 0 !important;
        box-shadow: none !important;
        transform: none !important;
    }

.gpw {
    padding: 20px;
}

    .gpw .trigger {
        padding: 5px;
        background: rgb(255, 255, 255);
        border-radius: 1px;
        box-shadow: rgba(0, 0, 0, 0.1) 0 0 0 1px;
        display: inline-block;
        cursor: pointer;
    }

        .gpw .trigger .inner {
            width: 36px;
            height: 14px;
            border-radius: 2px;
        }

    .gpw .popover {
        z-index: 2;
        margin-top: 6px;
        box-shadow: rgba(0, 0, 0, 0.15) 0 0 0 1px, rgba(0, 0, 0, 0.15) 0 8px 16px;
        padding: 12px;
        border-radius: 4px;
        position: absolute;
    }

        .gpw .popover .angle-holder {
            margin: 0 -10px;
            padding: 10px 0 0 10px;
            border-top: 1px solid rgb(238, 238, 238);
            display: flex;
            justify-content: space-around;
            align-items: center;
            flex-wrap: wrap;
            position: relative;
        }

        .gpw .popover .angle-inputs {
            border-radius: 4px;
            background: #f2f2f2;
            display: flex;
            flex: 1;
            margin: 0 20px;
            justify-content: space-around;
            align-items: center;
        }

            .gpw .popover .angle-inputs input {
                border: none;
                text-align: center;
                width: 48px;
                color: #0C0C09;
                background: inherit;
            }

            .gpw .popover .angle-inputs span {
                padding: 5px;
                cursor: pointer;
                user-select: none;
            }

    .gpw .overlay {
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
    }
